function sfun_setcolorB(block)
% setzt die Hintergrundfarbe abhängig vom Eingangswert
  setup(block); 
end

%% -------------------------------------------------------------------
function setup(block)
  block.NumInputPorts  = 1;
  block.NumOutputPorts = 0;
  
  block.SetPreCompInpPortInfoToDynamic;  % Datentyp übernehmen
  block.SampleTimes = [-1 0];            % Samplezeit übernehmen
  
  block.RegBlockMethod('Update', @Update);
end

%% -------------------------------------------------------------------
function Update(block)
  input = block.InputPort(1).Data;
  if (input > 0.5)
    changeColor('on_color');
  else
    changeColor('off_color');
  end
end
%% -------------------------------------------------------------------
function changeColor(colName)
% setzt die Icon-Farbe auf den entsprechenden Maskenwert
  sysname = gcs();
  col = get_param(sysname, colName);
  icon = sprintf('patch(sin(0:0.1:2*pi), cos(0:0.1:2*pi), %s)', col);
  set_param(sysname, 'MaskDisplay', icon);
end
